<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Model\To\Mapp;

use FiloBlu\MappConnector\Model\To\Mapp\Resource\SFTPResource;

/**
 * Class SFTP
 * @package FiloBlu\MappConnector\Model\To\Mapp
 */
class SFTP
{

    /**
     * @var SFTPResource
     */
    protected $_sftpResource;

    /**
     * User constructor.
     * @param SFTPResource $sftpResource
     */
    public function __construct(SFTPResource $sftpResource)
    {
        $this->_sftpResource = $sftpResource;
    }

    /**
     * @return SFTPResource
     */
    public function getResource()
    {
        return $this->_sftpResource;
    }
}
