<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Observer;

use FiloBlu\MappConnector\Helper\FileLoggerHelper;
use FiloBlu\MappConnector\Model\Jobs;

/**
 * Class CustomerRegister
 * @package FiloBlu\MappConnector\Observer
 */
class CustomerRegister extends AbstractObserver
{

    /**
     * @var string
     */
    protected $_entity = 'customer';

    /**
     * @var string
     */
    protected $_type = 'customer';

    /**
     * @var string
     */
    protected $_mode = 'rest';

    /**
     * @var string
     */
    protected $_status = 'waiting';

    /**
     * @var Jobs
     */
    protected $_jobs;

    /**
     * @var FileLoggerHelper
     */
    protected $_fileLogger;
}
